import {
  get,
  post,
} from '@/common/utils/http-util.ts'

export default {
  paging(data: MoneyFlowTypes.SearchMoneyFlowParam) {
    return get<G.PageResult<MoneyFlowTypes.SearchMoneyFlowResult>>('/money_flow/paging', data)
  },
  detail(id: string) {
    return get<MoneyFlowTypes.SearchMoneyFlowResult>('/money_flow/detail', {id})
  },
  add(data: MoneyFlowTypes.AddMoneyFlowParam) {
    return post('/money_flow/add', data)
  },
  modify(data: MoneyFlowTypes.ModifyMoneyFlowParam) {
    return post('/money_flow/modify', data)
  },
  del(ids: string[]) {
    return post('/money_flow/del', ids)
  },
}
